## org.firebirdsql.gds.impl
Class GDSServerVersion

    java.lang.Object
      org.firebirdsql.gds.impl.GDSServerVersion

All Implemented Interfaces:
  Serializable

    public class GDSServerVersion

extends Object
implements Serializable

Object representing a Firebird server version. The version string is returned in response to the `isc_info_firebird_version` information call. Expected version format is:

<platform>-<type><majorVersion>.<minorVersion>.<variant>.<buildNum> <serverName>[,<extended server info>]

where `platform` is a two-character platform identification string, Windows for example is "WI", `type` is one of the three characters: "V" - production version, "T" - beta version, "X" - development version.

See Also:
  Serialized Form

Field Summary
`static String` `TYPE_BETA`
`static String` `TYPE_DEVELOPMENT`
`static String` `TYPE_PRODUCTION`

Constructor Summary
`GDSServerVersion(String rawStr)` Create instance of this class for the specified version string.

Method Summary
`boolean` `equals(Object obj)`
`int` `getBuildNumber()`
`String` `getExtendedServerName()`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`String` `getPlatform()`
`String` `getServerName()`
`String` `getType()`
`int` `getVariant()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_PRODUCTION

    public static final String TYPE_PRODUCTION

See Also:
  Constant Field Values

### TYPE_BETA

    public static final String TYPE_BETA

See Also:
  Constant Field Values

### TYPE_DEVELOPMENT

    public static final String TYPE_DEVELOPMENT

See Also:
  Constant Field Values

Constructor Detail

### GDSServerVersion

    public GDSServerVersion(String rawStr)
                     throws GDSServerVersionException

  Create instance of this class for the specified version string.

  Parameters:
    `rawStr` - raw string that was received from the server.
  Throws:
    `GDSServerVersionException` - if the specified raw string cannot be correctly parsed.

Method Detail

### getBuildNumber

    public int getBuildNumber()

### getMajorVersion

    public int getMajorVersion()

### getMinorVersion

    public int getMinorVersion()

### getPlatform

    public String getPlatform()

### getServerName

    public String getServerName()

### getType

    public String getType()

### getVariant

    public int getVariant()

### getExtendedServerName

    public String getExtendedServerName()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010. All Rights Reserved.